Snoze Developers
API referenceLegacy imports

Get

GET
/v1/admin/legacy-imports/{runId}
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

runId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/legacy-imports/string"
{  "data": {    "id": "string",    "bundleObjectKey": "string",    "bundleChecksum": "string",    "sourceSnapshotTimestamp": "string",    "sourceVersion": "string",    "converterVersion": "string",    "status": "uploaded",    "mode": "dry_run",    "selectedWorkspaceCount": 0,    "sourceCounts": {      "property1": 0,      "property2": 0    },    "targetCounts": {      "property1": 0,      "property2": 0    },    "warnings": [      "string"    ],    "errors": [      "string"    ],    "approvedAt": "string",    "canceledByUserId": "string",    "cancellationReason": "string",    "rollbackRequestedByUserId": "string",    "rollbackReason": "string",    "startedAt": "string",    "completedAt": "string",    "createdAt": "string",    "updatedAt": "string",    "workspaces": [      {        "id": "string",        "sourceWorkspaceId": "string",        "targetWorkspaceId": "string",        "selected": true,        "stage": "queued",        "lifecycleState": "string",        "counts": {          "property1": 0,          "property2": 0        },        "warnings": [          "string"        ],        "verification": {},        "rollbackState": "string",        "attempt": 0,        "lastError": "string"      }    ]  }}